> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vehicle Details (Part B)

> Update the Vehicle details (Part B) in an E-Way Bill with this API.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/update_vehicle_details.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/vehicle
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/vehicle:
    put:
      tags:
        - E-Way Bill1
        - Consignor
      summary: Update Vehicle Details (Part B)
      description: Can be updated either by the seller or the transporter
      operationId: updateVehicleDetailsPartB
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEWayBillVehicleRequest'
            examples:
              200 Part B updated:
                value:
                  ewbNo: 231010079649
                  vehicleNo: PQR1234
                  fromPlace: BANGALORE
                  fromState: 29
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  transMode: '1'
                  vehicleType: R
                summary: 200 Part B updated
              726 Vehicle type can not be regular:
                value:
                  ewbNo: 231010079649
                  vehicleNo: PQR1234
                  fromPlace: BANGALORE
                  fromState: 27
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  transMode: '4'
                  vehicleType: R
                summary: 726 Vehicle type can not be regular
              361 Invalid Vehicle Type:
                value:
                  ewbNo: 231010079649
                  vehicleNo: PQR1234
                  fromPlace: BANGALORE
                  fromState: 27
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  transMode: '4'
                  vehicleType: Q
                summary: 361 Invalid Vehicle Type
      responses:
        '200':
          description: >-
            200 Part B updated / 726 Vehicle type can not be regular / 361
            Invalid Vehicle Type
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateEWayBillVehicleResponse'
              examples:
                200 Part B updated:
                  summary: 200 Part B updated
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        validUpto: 18/05/2024 11:59:00 PM
                        vehUpdDate: 13/05/2024 01:06:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: d96e4cc7-5dcd-4791-b43e-de87509a3d50
                361 Invalid Vehicle Type:
                  summary: 361 Invalid Vehicle Type
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 361,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 26c95612-9574-464f-aa0e-ac4fb7788206
                726 Vehicle type can not be regular:
                  summary: 726 Vehicle type can not be regular
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 726,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 9d980a4f-a1f5-4655-a7af-b963cd80b90c
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    UpdateEWayBillVehicleRequest:
      type: object
      properties:
        ewbNo:
          type: number
          description: Ewaybill Number
        vehicleNo:
          type: string
          minLength: 7
          maxLength: 15
          description: Vehicle Number
        vehicleType:
          type: string
          description: Vehicle Type
        fromPlace:
          type: string
          maxLength: 50
          description: From Place
        fromState:
          type: integer
          maximum: 99
          description: From State
        reasonCode:
          type: string
          maxLength: 1
          minLength: 1
          description: Reason Code
        reasonRem:
          type: string
          maxLength: 50
          description: Remarks
        transDocNo:
          type: string
          maxLength: 15
          description: Transport Document Number
        transDocDate:
          type: string
          pattern: '[0-3][0-9]/[0-1][0-9]/[2][0][1-2][0-9]'
          description: Transport Document Date
        transMode:
          type: string
          description: Transport Mode
      required:
        - fromPlace
        - fromState
        - reasonCode
        - reasonRem
        - transMode
      description: Request body for UpdateEWayBillVehicle.
    UpdateEWayBillVehicleResponse:
      oneOf:
        - $ref: '#/components/schemas/UpdateEWayBillVehicleSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    UpdateEWayBillVehicleSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                alert:
                  type: string
                  nullable: true
                  example: null
                data:
                  $ref: '#/components/schemas/UpdateEWayBillVehicleSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: 726,
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC sends "0" when it rejects a request.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    UpdateEWayBillVehicleSuccessPayload:
      type: object
      properties:
        validUpto:
          type: string
          example: 18/05/2024 11:59:00 PM
          description: The validUpto value.
        vehUpdDate:
          type: string
          example: 13/05/2024 01:06:00 PM
          description: The vehUpdDate value.
      description: E-Way Bill schema.
    EWayBillBusinessError:
      type: object
      description: Error data from NIC.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: >-
            NIC error code. See [E-Way Bill error
            codes](/api-reference/gst/annexures/e-way-bill-error-codes).

````